package com.zd.exam.service;

import java.util.List;

import com.zd.exam.domain.ElCourseChapterQu;

/**
 * 章节考核自选考题Service接口
 *
 * @author liubo
 * @date 2022-01-05
 */
public interface IElCourseChapterQuService {
    /**
     * 查询章节考核自选考题
     *
     * @param id 章节考核自选考题主键
     * @return 章节考核自选考题
     */
    public ElCourseChapterQu selectElCourseChapterQuById(Long id);

    /**
     * 查询章节考核自选考题列表
     *
     * @param elCourseChapterQu 章节考核自选考题
     * @return 章节考核自选考题集合
     */
    public List<ElCourseChapterQu> selectElCourseChapterQuList(ElCourseChapterQu elCourseChapterQu);

    /**
     * 新增章节考核自选考题
     *
     * @param elCourseChapterQu 章节考核自选考题
     * @return 结果
     */
    public int insertElCourseChapterQu(ElCourseChapterQu elCourseChapterQu);

    /**
     * 修改章节考核自选考题
     *
     * @param elCourseChapterQu 章节考核自选考题
     * @return 结果
     */
    public int updateElCourseChapterQu(ElCourseChapterQu elCourseChapterQu);

    /**
     * 批量删除章节考核自选考题
     *
     * @param ids 需要删除的章节考核自选考题主键集合
     * @return 结果
     */
    public int deleteElCourseChapterQuByIds(Long[] ids);

    /**
     * 删除章节考核自选考题信息
     *
     * @param id 章节考核自选考题主键
     * @return 结果
     */
    public int deleteElCourseChapterQuById(Long id);

    void insertListByChapterId(long chapterId, List<ElCourseChapterQu> chapterQuList);

    List<ElCourseChapterQu> queryQuByChapterId(Long courseChapterId);
}
